Get Verification Data
Introduction
This API endpoint enables users to retrieve the data of an individual who has been onboarded on the Signzy server. The user must provide their patron ID, Access-Token, and the request ID of the onboarded individual to authenticate the request. The response will contain the individual's onboarded data.
Sample cURL
curl --request POST \
--url https://signzy.tech/api/v2/patrons/....patronid.../individualonboardings \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"task":"getData","essentials":{"requestId":"...requestId.."}}'Parameter | Data Type | Required | Description |
|---|---|---|---|
patron-id | string | Yes | The ID of the patron initiating the request. |
Access-Token | string | Yes | The access token required to authenticate the request. |
task | string | Yes | The task to be performed. In this case, it should be set to "getData". |
essentials | object | Yes | An object containing the essential details required to retrieve the onboarded data. |
requestId | string | Yes | The request ID of the individual whose data is being retrieved. |
Accept | string | No | Specifies the media types that are acceptable for the response. |
Accept-Language | string | No | Specifies the preferred language for the response. |
content-type | string | Yes | Specifies the media type of the request body. |
Description | - | - | The purpose of the parameter. |
Sample Response
{
"result": {
"idCards": [
{
"type": "pan",
"name": "..name..",
"fatherName": "..fatherName..",
"dob": "..dob..",
"address": "..address..",
"images": [
..images..
],
"verify": "true/false",
"purpose": [
"POI/POA"
],
"idNo": "..idNo..",
"verificationStatus": {
"verified": true/false,
"message": "..message..",
"isSet": 1/0
},
"forgery": {
"forgery": "FORGED/NOT FORGED",
"message": "..message..",
"face": {
"found": "true/false",
"message": "..message.."
},
"qrCode": {
"found": "",
"match": "",
"message": ""
},
"colors": {
"found": "",
"message": ""
},
"imageRelatedData": {
"found": "",
"message": ""
},
"isSet": 1/0
},
"inputMatcher": {
"forgery": "NO/YES",
"fields": {
"name": "Direct Match/No Match",
"dob": "Match/No Match",
"idNo": "Match/No Match"
},
"forgeryScore": ..forgeryScore..,
"isSet": 1/0
},
"faceExtraction": {
"isSet": 1/0
},
},
{
"type": "aadhaar",
"images": [..images..],
"idNo":..idNo..",
"name":..name..",
"dob":..dob..",
"address":..address..",
"gender":..gender..",
"age":..age..",
"nationality":..nationality..",
"issueDate":..issueDate..",
"state":..state..",
"purpose": [
..purpose(POI/POA/POI,POA)..
],
"verify":..true/false..",
"verificationStatus": {
"verified": true/false,
"message": "..message..",
},
"forgery": {
"forgery": "FORGED/NOT FORGED",
"message": "..message..",
"face": {
"found": "true/false",
"message": "..message.."
},
"qrCode": {
"found": "",
"match": "",
"message": ""
},
"colors": {
"found": "",
"message": ""
},
"imageRelatedData": {
"found": "",
"message": ""
},
},
"inputMatcher": {
"forgery": "NO/YES",
"fields": {
"name": "Direct Match/No Match",
"dob": "Match/No Match",
"idNo": "Match/No Match"
},
"forgeryScore": ..forgeryScore..,
},
"faceExtraction": {
},
},
{
"type": "passport",
"images": [..images..],
"idNo": "..idNo..",
"name": "..name..",
"dob": "..dob..",
"address": "..address..",
"gender": "..gender..",
"age": "..age..",
"nationality": "..nationality..",
"issueDate": "..issueDate..",
"state": "..state..",
"purpose": [
..purpose(POI/POA/POI,POA)..
],
"verify":..true/false.."
},
"forgery": {
"forgery": "FORGED/NOT FORGED",
"message": "..message..",
"face": {
"found": "true/false",
"message": "..message.."
},
"qrCode": {
"found": "",
"match": "",
"message": ""
},
"colors": {
"found": "",
"message": ""
},
"imageRelatedData": {
"found": "",
"message": ""
},
},
"inputMatcher": {
"forgery": "YES/NO",
"fields": {
"name": "..No Match / Match..",
"pincode": "..Not Match / Match..",
"idNo": "..Not Match / Match ..",
"dob": "..Not Match / Match .."
},
"forgeryScore": "..forgeryScore..",
},
"faceExtraction": {
"cropped": "..cropped url..",
},
},
{
"type": "dl",
"images": [..images..],
"idNo": "..idNo..",
"name": "..name..",
"dob": "..dob..",
"address": "..address..",
"gender": "..gender..",
"age": "..age..",
"nationality": "..nationality..",
"issueDate": "..issueDate..",
"state": "..state..",
"purpose": [
..purpose(POI/POA/POI,POA)..
],
"verify":..true/false..",
"verificationStatus": {
"verified": true/false,
"message": "..message..",
},
"forgery": {
"forgery": "FORGED/NOT FORGED",
"message": "..message..",
"face": {
"found": "true/false",
"message": "..message.."
},
"qrCode": {
"found": "",
"match": "",
"message": ""
},
"colors": {
"found": "",
"message": ""
},
"imageRelatedData": {
"found": "",
"message": ""
},
},
"inputMatcher": {
"forgery": "NO/YES",
"fields": {
"name": "Direct Match/No Match",
"dob": "Match/No Match",
"idNo": "Match/No Match"
},
"forgeryScore": ..forgeryScore..,
},
"faceExtraction": {
},
},
{
"type": "voterid",
"images": [..images..],
"idNo": "..idNo..",
"name": "..name..",
"dob": "..dob..",
"address": "..address..",
"gender": "..gender..",
"age": "..age..",
"nationality": "..nationality..",
"issueDate": "..issueDate..",
"state": "..state..",
"purpose": [
..purpose(POI/POA/POI,POA)..
],
"verify": "true"
"verificationStatus": {},
"forgery": {
},
"inputMatcher": {
"fields": {
"name": "..Not Match/Match..",
"dob": "..Not Match/Match..",
"pincode": "..Not Match/Match..",
"idNo": "..Not Match/Match.."
},
},
"faceExtraction": {
},
"imageforensics": {
"ela": {
"result": "result",
"isSet": 1/0
},
"exif": {
"result": {
"metadataFound": "false/true",
"message": "..message..s",
"image": {},
"gps": {}
},
"isSet": 1
}
}
}
],
"video": {
"url": "..url..",
"matchImage": "..matchImage..",
"signzyVerifiableString": "..signzyVerifiableString..",
"seconds": [
"..seconds.."
],
"videoMatch": {
"matchAudioScore": "..matchAudioScore..",
},
"forensics": {
"staticRisk": {
"staticPhoto": ..true/false..,
"ageGroup": "..ageGroup..",
},
"videoLandMarks": {
"result": "..result..",
},
"videoFaceMatch": {
"videoImages": [
"..videoImages.."
],
"finalMatchImage": "..finalMatchImage.."
"matchStatistics": {
"coVariance": "..coVariance..",
"matchPercentage": "..matchPercentage.."
},
},
},
"faceLandmarks": "..faceLandmarks.."
},
"documents": [
{
"type": "bankAccountVerification",
"beneficiaryMobile": "",
"beneficiaryAccount": "..beneficiaryAccount..",
"beneficiaryIFSC": "..beneficiaryIFSC..",
"beneficiaryName": "..beneficiaryName..",
"bankName": "",
"branchName": "",
"verify": "true/false",
"verificationData": {
"actCode": "..actCode..",
"response": "..response..",
"bankRRN": "..bankRRN..",
"beneName": "..beneName..",
"tranRefNo": "..tranRefNo..",
"paymentRef": "..paymentRef..",
"tranDateTime": "..tranDateTime..",
"amount": "..amount..",
"beneMMID": "..beneMMID..",
"beneMobile": "",
"beneIFSC": "..beneIFSC..",
},
"nameVerificationStatus": {
"verified": "Match/No Match",
"message": "..message.."
},
"mobileVerificationStatus": {
"verified": "Match/No Match",
"message": "..message.."
}
},
{
"type": "cheque",
"beneficiaryMobile": "",
"beneficiaryAccount": "..beneficiaryAccount..",
"beneficiaryIFSC": "..beneficiaryIFSC..",
"beneficiaryName": "..beneficiaryName..",
"bankName": "..bankName..",
"branchName": "..bankName..",
"verify": "true/false",
"verificationData": {},
}
],
"info": {
"name": "..name..",
"emailId": "..emailId..",
"phone": "..phone..",
"permanentAddress": "",
"dob": "",
"communicationAddress": ""
},
"contract": {
"url": "..contract url..",
"name": "",
"aadhaarNumber": ""
},
"others": [
{
"images": [
..images..
],
"fields": {
"fields1": "..fields1..",
"fields2": "..fields2..",
"fields3": "..fields3..",
"fields4": "..fields4.."
}
}
],
"email": {
"emailId": "..emailId.."
},
"crossChecks": {
"pan__aadhaar__nameMatchResult": "no match/ exact match/ partial match",
"pan__aadhaar__dobMatchResult": "no match/ match",
"pan__passport__nameMatchResult": "no match/ exact match/ partial match",
"pan__passport__dobMatchResult": "no match/ match",
..cross check results..
},// Name and Dob match result across all combinations of idcards
"isCompleted": 1,
}
}Key | Value | Description |
|---|---|---|
result | Object | The main result object containing various fields and nested objects |
idCards | Array | An array of objects containing details of various identity cards |
type | String | The type of identity card (pan, aadhaar, passport, dl, voterid) |
name | String | The name of the cardholder |
fatherName | String | The name of the cardholder's father |
dob | String | The date of birth of the cardholder |
address | String | The address of the cardholder |
images | Array | An array of image URLs for the card |
verify | String | Indicates whether the card is verified or not (true/false) |
purpose | Array | An array of purposes for which the card is used (POI, POA, or both) |
idNo | String | The identification number on the card |
verificationStatus | Object | Verification status of the card |
verified | Boolean | Indicates whether the card is verified or not |
message | String | Additional message related to card verification |
isSet | Number | Indicates whether the verification status is set or not (1/0) |
forgery | Object | Forgery detection status of the card |
forgery | String | Indicates whether the card is forged or not (FORGED/NOT FORGED) |
message | String | Additional message related to forgery detection |
face | Object | Face detection status for the card |
found | String | Indicates whether a face is found or not (true/false) |
qrCode | Object | QR code detection status for the card |
found | String | Indicates whether a QR code is found or not |
match | String | Indicates whether the QR code matches or not |
colors | Object | Color detection status for the card |
found | String | Indicates whether colors are found or not |
imageRelatedData | Object | Image related data detection status for the card |
found | String | Indicates whether image related data is found or not |
inputMatcher | Object | Input matching status for the card |
forgery | String | Indicates whether forgery is detected or not (YES/NO) |
fields | Object | An object containing the input fields and their match status |
name | String | Indicates whether the name matches or not (Direct Match/No Match) |
dob | String | Indicates whether the date of birth matches or not (Match/No Match) |
idNo | String | Indicates whether the identification number matches or not (Match/No Match) |
forgeryScore | Number | The forgery score for the card |
faceExtraction | Object | Face extraction status for the card |
cropped | String | The URL of the cropped face image |
video | Object | Video related details |
url | String | The URL of the video |
matchImage | String | The URL of the image to be matched with the video |
signzyVerifiableString | String | The signzy verifiable string |
seconds | Array | An array of seconds at which to extract frames from the video |
videoMatch | Object | Video matching status |
matchAudioScore | String | The matching score of the audio in the video |
forensics | Object | Forensics status for the video |
staticRisk | Object | Static risk detection status for the video |
staticPhoto | Boolean | Indicates whether a static photo is present or not |
ageGroup | String | The age group detected in the video |
videoLandMarks | Object | Video landmark detection status for the video |
result | String | The result |